import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  template: `
  <div class="app-root"
       style="text-align: center"> 
    <button (click)="cycleMessage()">
            {{ message }}
    </button>
  </div>
  `,
  styles: ['button {font-size: 27px; }']

})

export class AppComponent {
  messages: string[] = ["Hello, Kris!", "You must be feeling very disappointed.", "Right now.", "At this very moment.", "But you know what?", "I feel just fine."];
  currIndex: number = 0;
  message: string = this.messages[this.currIndex];
  

  cycleMessage() {
    this.currIndex++;
    this.message = this.messages[this.currIndex % this.messages.length];
  }

  getCurrentMessage() {
    return this.message;
  }

}


